#### D.6.17.3 jacoblift

Procedure from library `mondromy.lib` (see mondromy_lib).

Usage:
  jacoblift(f); f poly

Assume:
  The polynomial f in a series ring (local ordering) defines an isolated hypersurface singularity.

Return:
  The procedure returns a list with entries kappa, xi, u of type int, vector, poly such that kappa is minimal with f^kappa in jacob(f), u is a unit, and u*f^kappa=(matrix(jacob(f))*xi)[1,1].

Display:
  The procedure displays comments if printlevel>=1.

Example:

    LIB "mondromy.lib";
    ring R=0,(x,y),ds;
    poly f=x2y2+x6+y6;
    jacoblift(f);
    ==> [1]:
    ==>    2
    ==> [2]:
    ==>    1/2x2y3*gen(2)+1/6x7*gen(1)+5/6x6y*gen(2)-2/3xy6*gen(1)+1/6y7*gen(2)-4\
       x4y5*gen(2)-3/2x9y2*gen(1)-15/2x8y3*gen(2)+9/2x3y8*gen(1)-3/2x2y9*gen(2)
    ==> [3]:
    ==>    1-9x2y2

User manual for Singular version 4.4.1, 2025, generated by texi2html.